- Qt 6.10
- Qt QML Compiler
- C++ Classes
- QtQmlCompiler (Technical Preview)
- Methods
- Qt 6.10.2 Reference Documentation

# QQmlSA::Method::Methods Class

class QQmlSA::Method::Methods

Holds multiple method name to method associations. More...

- List of all members, including inherited members

## Public Functions

| Methods()
| Methods(const QQmlSA::Method::Methods &other)
| ~Methods()
QMultiHash<QString, QQmlSA::Method>::const_iterator | begin() const
QMultiHash<QString, QQmlSA::Method>::const_iterator | constBegin() const
QMultiHash<QString, QQmlSA::Method>::const_iterator | constEnd() const
QMultiHash<QString, QQmlSA::Method>::const_iterator | end() const

## Detailed Description

## Member Function Documentation

### Methods::Methods()

Constructs a new Methods object.

### Methods::Methods(const QQmlSA::Method::Methods &other)

Creates a copy of other.

### `[noexcept]` Methods::~Methods()

Destroys the Methods instance.

### QMultiHash<QString, QQmlSA::Method>::const_iterator Methods::begin() const

Returns an iterator to the beginning of the methods.

### QMultiHash<QString, QQmlSA::Method>::const_iterator Methods::constBegin() const

Returns an iterator to the beginning of the methods.

### QMultiHash<QString, QQmlSA::Method>::const_iterator Methods::constEnd() const

Returns an iterator to the end of the methods.

### QMultiHash<QString, QQmlSA::Method>::const_iterator Methods::end() const

Returns an iterator to the end of the methods.